php-ZendFramework2-ZendXml-2.3.9-1.mga5.noarch.rpm


Advertisement

Description

php-ZendFramework2-ZendXml - Zend Framework 2: XML usage, best practices, and security in PHP

Property Value
Distribution Mageia 5.1
Repository Mageia Core x86_64
Package filename php-ZendFramework2-ZendXml-2.3.9-1.mga5.noarch.rpm
Package name php-ZendFramework2-ZendXml
Package version 2.3.9
Package release 1.mga5
Package architecture noarch
Package type rpm
Category Development/PHP
Homepage http://framework.zend.com/
License BSD
Maintainer -
Download size 10.33 KB
Installed size 5.27 KB
This is a security component to prevent XML eXternal Entity (XXE) and
XML Entity Expansion (XEE) attacks on XML documents.
The XXE attack is prevented disabling the load of external entities in
the libxml library used by PHP, using the function libxml_disable_entity_loader.
The XEE attack is prevented looking inside the XML document for ENTITY usage.
If the XML document uses ENTITY the library throw an Exception.

Alternatives

Package Version Architecture Repository
php-ZendFramework2-ZendXml-2.4.11-1.mga5.noarch.rpm 2.4.11 noarch Mageia Core Updates
php-ZendFramework2-ZendXml-2.4.11-1.mga5.noarch.rpm 2.4.11 noarch Mageia Core Updates
php-ZendFramework2-ZendXml-2.4.9-1.mga5.noarch.rpm 2.4.9 noarch Mageia Core Updates
php-ZendFramework2-ZendXml-2.4.9-1.mga5.noarch.rpm 2.4.9 noarch Mageia Core Updates
php-ZendFramework2-ZendXml-2.4.8-1.mga5.noarch.rpm 2.4.8 noarch Mageia Core Updates
php-ZendFramework2-ZendXml-2.4.8-1.mga5.noarch.rpm 2.4.8 noarch Mageia Core Updates
php-ZendFramework2-ZendXml-2.4.7-1.mga5.noarch.rpm 2.4.7 noarch Mageia Core Updates
php-ZendFramework2-ZendXml-2.4.7-1.mga5.noarch.rpm 2.4.7 noarch Mageia Core Updates
php-ZendFramework2-ZendXml-2.3.9-1.mga5.noarch.rpm 2.3.9 noarch Mageia Core
php-ZendFramework2-ZendXml - - -

Requires

Name Value
php-ZendFramework2 == 2.3.9-1.mga5
php-dom -
php-simplexml -

Provides

Name Value
php-ZendFramework2-ZendXml == 2.3.9-1.mga5

Download

Type URL
Mirror distrib-coffee.ipsl.jussieu.fr
Binary Package php-ZendFramework2-ZendXml-2.3.9-1.mga5.noarch.rpm
Source Package php-ZendFramework2-2.3.9-1.mga5.src.rpm

Install Howto

  1. Enable Mageia Core repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install php-ZendFramework2-ZendXml rpm package:
    # urpmi php-ZendFramework2-ZendXml

Files

Path
/usr/share/php/ZendXml/Security.php
/usr/share/php/ZendXml/Exception/ExceptionInterface.php
/usr/share/php/ZendXml/Exception/InvalidArgumentException.php
/usr/share/php/ZendXml/Exception/RuntimeException.php

Changelog

2015-05-21 - luigiwalser <luigiwalser> 2.3.9-1.mga5
+ Revision: 822472
- 2.3.9 (fixes CVE-2015-3154)
2015-03-20 - guillomovitch <guillomovitch> 2.3.7-1.mga5
+ Revision: 819057
- new version 2.3.7
2015-03-03 - oden <oden> 2.3.5-1.mga5
+ Revision: 817389
- 2.3.5 (ZF2015-02)
2015-01-31 - guillomovitch <guillomovitch> 2.3.4-1.mga5
+ Revision: 812853
- new version 2.3.4
2014-10-21 - guillomovitch <guillomovitch> 2.3.3-3.mga5
+ Revision: 792348
- fix dependencies
2014-10-15 - umeabot <umeabot> 2.3.3-2.mga5
+ Revision: 739704
- Second Mageia 5 Mass Rebuild
2014-10-07 - guillomovitch <guillomovitch> 2.3.3-1.mga5
+ Revision: 737403
- imported package php-ZendFramework2

See Also

Package Description
php-adodb-5.18-5.mga5.noarch.rpm Active Data Objects Data Base (ADOdb)
php-amf-0.9.2-17.mga5.x86_64.rpm ActionScript Message Format extension
php-analog-1.0.4-4.mga5.noarch.rpm PHP micro logging package
php-apacheaccessor-1.0.1-9.mga5.x86_64.rpm Simple API to Apache runtime configuration for PHP
php-apcu-4.0.7-1.mga5.x86_64.rpm The apcu (APC User Cache) module for PHP
php-apcu-admin-4.0.7-1.mga5.x86_64.rpm Web admin GUI for apcu (APC User Cache)
php-apm-1.1.0-3.RC2.5.mga5.x86_64.rpm Alternative PHP Monitor
php-auth_nds-2.2.6-35.mga5.x86_64.rpm The Auth NDS module for PHP
php-awl-0.53-5.mga5.noarch.rpm Andrew's Web Libraries - PHP Utility Libraries
php-bbcode-1.0.3-0.0.b1.11.mga5.x86_64.rpm BBCode parsing Extension
php-bcmath-5.6.10-1.mga5.x86_64.rpm The bcmath module for PHP
php-bitset-2.0-9.mga5.x86_64.rpm BITSET library
php-bloomy-0.1.0-18.mga5.x86_64.rpm Extension implementing a Bloom filter
php-braille-0.1.1-9.mga5.x86_64.rpm Functions to control a braille display (and keyboard), based on libbraille
php-bz2-5.6.10-1.mga5.x86_64.rpm Bzip2 extension module for PHP
Advertisement
Advertisement